<?php
use CRM_Documents_ExtensionUtil as E;

class CRM_Documents_BAO_DocumentVersion extends CRM_Documents_DAO_DocumentVersion {

  /**
   * Create a new DocumentVersion based on array-data
   *
   * @param array $params key-value pairs
   * @return CRM_Documents_DAO_DocumentVersion|NULL
   *
  public static function create($params) {
    $className = 'CRM_Documents_DAO_DocumentVersion';
    $entityName = 'DocumentVersion';
    $hook = empty($params['id']) ? 'create' : 'edit';

    CRM_Utils_Hook::pre($hook, $entityName, CRM_Utils_Array::value('id', $params), $params);
    $instance = new $className();
    $instance->copyValues($params);
    $instance->save();
    CRM_Utils_Hook::post($hook, $entityName, $instance->id, $instance);

    return $instance;
  } */

  /**
   * Create or update a record from supplied params.
   *
   * If 'id' is supplied, an existing record will be updated
   * Otherwise a new record will be created.
   *
   * @param array $record
   *
   * @return static
   * @throws \CRM_Core_Exception
   */
  public static function writeRecord(array $record): CRM_Documents_DAO_DocumentVersion
  {
    if (empty($record['date_updated'])) {
      $record['date_updated'] = date('Ymd');
    }
    if (empty($record['updated_by'])) {
      $record['updated_by'] = CRM_Core_Session::getLoggedInContactID();
    }
    $instance = parent::writeRecord($record);
    return $instance;
  }

}
