-- +--------------------------------------------------------------------+
-- | Copyright CiviCRM LLC. All rights reserved.                        |
-- |                                                                    |
-- | This work is published under the GNU AGPLv3 license with some      |
-- | permitted exceptions and without any warranty. For full license    |
-- | and copyright information, see https://civicrm.org/licensing       |
-- +--------------------------------------------------------------------+
--
-- Generated from schema.tpl
-- DO NOT EDIT.  Generated by CRM_Core_CodeGen
--
-- /*******************************************************
-- *
-- * Clean up the existing tables - this section generated from drop.tpl
-- *
-- *******************************************************/

SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS `civicrm_document_version`;
DROP TABLE IF EXISTS `civicrm_document_entity`;
DROP TABLE IF EXISTS `civicrm_document_contact`;
DROP TABLE IF EXISTS `civicrm_document_case`;
DROP TABLE IF EXISTS `civicrm_document`;

SET FOREIGN_KEY_CHECKS=1;
-- /*******************************************************
-- *
-- * Create new tables
-- *
-- *******************************************************/

-- /*******************************************************
-- *
-- * civicrm_document
-- *
-- * Document
-- *
-- *******************************************************/
CREATE TABLE `civicrm_document` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique Document ID',
  `subject` varchar(255) NULL,
  `type_id` int DEFAULT NULL,
  `status_id` int DEFAULT NULL,
  `added_by` int unsigned NULL COMMENT 'FK to Contact',
  `date_added` datetime NULL,
  `updated_by` int unsigned NULL COMMENT 'FK to Contact',
  `date_updated` datetime NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_document_added_by FOREIGN KEY (`added_by`) REFERENCES `civicrm_contact`(`id`) ON DELETE SET NULL,
  CONSTRAINT FK_civicrm_document_updated_by FOREIGN KEY (`updated_by`) REFERENCES `civicrm_contact`(`id`) ON DELETE SET NULL
)
ENGINE=InnoDB;

-- /*******************************************************
-- *
-- * civicrm_document_case
-- *
-- *******************************************************/
CREATE TABLE `civicrm_document_case` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique DocumentCase ID',
  `document_id` int unsigned NOT NULL COMMENT 'FK to Document',
  `case_id` int unsigned NULL COMMENT 'FK to Case',
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_document_case_document_id FOREIGN KEY (`document_id`) REFERENCES `civicrm_document`(`id`) ON DELETE CASCADE,
  CONSTRAINT FK_civicrm_document_case_case_id FOREIGN KEY (`case_id`) REFERENCES `civicrm_case`(`id`) ON DELETE CASCADE
)
ENGINE=InnoDB;

-- /*******************************************************
-- *
-- * civicrm_document_contact
-- *
-- *******************************************************/
CREATE TABLE `civicrm_document_contact` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique DocumentContact ID',
  `document_id` int unsigned NOT NULL COMMENT 'FK to Document',
  `contact_id` int unsigned COMMENT 'FK to Contact',
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_document_contact_document_id FOREIGN KEY (`document_id`) REFERENCES `civicrm_document`(`id`) ON DELETE CASCADE,
  CONSTRAINT FK_civicrm_document_contact_contact_id FOREIGN KEY (`contact_id`) REFERENCES `civicrm_contact`(`id`) ON DELETE CASCADE
)
ENGINE=InnoDB;

-- /*******************************************************
-- *
-- * civicrm_document_entity
-- *
-- * FIXME
-- *
-- *******************************************************/
CREATE TABLE `civicrm_document_entity` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique DocumentEntity ID',
  `document_id` int unsigned NOT NULL COMMENT 'FK to Document',
  `entity_table` varchar(64) COMMENT 'physical tablename for entity being joined to file, e.g. civicrm_contact',
  `entity_id` int unsigned NOT NULL COMMENT 'FK to entity table specified in entity_table column.',
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_document_entity_document_id FOREIGN KEY (`document_id`) REFERENCES `civicrm_document`(`id`) ON DELETE CASCADE
)
ENGINE=InnoDB;

-- /*******************************************************
-- *
-- * civicrm_document_version
-- *
-- *******************************************************/
CREATE TABLE `civicrm_document_version` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique DocumentVersion ID',
  `document_id` int unsigned NOT NULL COMMENT 'FK to Document',
  `description` varchar(255) NULL,
  `updated_by` int unsigned NULL COMMENT 'FK to Contact',
  `date_updated` datetime NULL,
  `version` int unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_document_version_document_id FOREIGN KEY (`document_id`) REFERENCES `civicrm_document`(`id`) ON DELETE CASCADE,
  CONSTRAINT FK_civicrm_document_version_updated_by FOREIGN KEY (`updated_by`) REFERENCES `civicrm_contact`(`id`) ON DELETE SET NULL
)
ENGINE=InnoDB;
